List orders

List orders with filters and pagination

POST
/stores/orders/list
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

List orders input

pagination?bv.Pagination
sortBy?string
sortOrder?string
status?string

Use string instead of OrderStatus for now

storeId?string

Response Body

curl -X POST "https://eu1.api.bivariant.com/v1/stores/orders/list" \  -H "Content-Type: application/json" \  -d '{}'
[
  {
    "artifactId": "string",
    "buyerId": "string",
    "commission": "string",
    "createdAt": "string",
    "currency": "string",
    "expiresAt": "string",
    "id": "string",
    "licenseKey": "string",
    "orderNumber": "string",
    "paidAt": "string",
    "paymentMethod": "string",
    "pricingPlanId": "string",
    "status": "pending",
    "storeId": "string",
    "subtotal": "string",
    "tax": "string",
    "total": "string",
    "transactionId": "string",
    "updatedAt": "string"
  }
]
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}